#!/usr/bin/perl

use strict;
use warnings;

use Smart::Options;
use Data::Dumper;

my $opt = Smart::Options->new;

# コマンド全体のオプションの指定
$opt->boolean('force')->alias(f => 'force');

# addサブコマンドを定義
$opt->subcmd(add => Smart::Options->new->demand('file'));

# pushサブコマンドを定義
my $push_cmd = Smart::Options->new
                   ->describe(r => 'repository');
$opt->subcmd(push => $push_cmd);

my $result = $opt->parse();
warn Dumper($result);